libetonyek::IWORKParser Class Reference documentation

Public Member Functions | Protected Member Functions | Private Member Functions | Private Attributes | List of all members
libetonyek::IWORKParser Class Referenceabstract

`#include <IWORKParser.h>`

Inheritance diagram for libetonyek::IWORKParser:

## Public Member Functions
| IWORKParser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package)
virtual | ~IWORKParser ()=0
bool | parse ()
RVNGInputStreamPtr_t & | getInput ()
RVNGInputStreamPtr_t | getInput () const
RVNGInputStreamPtr_t & | getPackage ()
RVNGInputStreamPtr_t | getPackage () const
virtual const IWORKTokenizer & | getTokenizer () const =0

## Protected Member Functions
void | setInput (const RVNGInputStreamPtr_t &input)

## Private Member Functions
| IWORKParser (const IWORKParser &)
IWORKParser & | operator= (const IWORKParser &)
virtual IWORKXMLContextPtr_t | createDocumentContext ()=0
virtual IWORKXMLContextPtr_t | createDiscardContext ()=0

## Private Attributes
RVNGInputStreamPtr_t | m_input
RVNGInputStreamPtr_t | m_package

## Constructor & Destructor Documentation

## ◆ IWORKParser() [1/2]

libetonyek::IWORKParser::IWORKParser | ( | const IWORKParser & |  | ) |
| private

## ◆ IWORKParser() [2/2]

libetonyek::IWORKParser::IWORKParser | ( | const RVNGInputStreamPtr_t & | input,
|  | const RVNGInputStreamPtr_t & | package
| ) |  |

## ◆ ~IWORKParser()

libetonyek::IWORKParser::~IWORKParser | ( |  | ) |
| pure virtual

## Member Function Documentation

## ◆ createDiscardContext()

virtual IWORKXMLContextPtr_t libetonyek::IWORKParser::createDiscardContext | ( |  | ) |
| privatepure virtual

Implemented in libetonyek::PAG1Parser, libetonyek::NUM1Parser, libetonyek::KEY2Parser, and libetonyek::KEY1Parser.

Referenced by parse().

## ◆ createDocumentContext()

virtual IWORKXMLContextPtr_t libetonyek::IWORKParser::createDocumentContext | ( |  | ) |
| privatepure virtual

Implemented in libetonyek::PAG1Parser, libetonyek::NUM1Parser, libetonyek::KEY2Parser, and libetonyek::KEY1Parser.

Referenced by parse().

## ◆ getInput() [1/2]

RVNGInputStreamPtr_t & libetonyek::IWORKParser::getInput | ( |  | ) |

## ◆ getInput() [2/2]

RVNGInputStreamPtr_t libetonyek::IWORKParser::getInput | ( |  | ) | const

## ◆ getPackage() [1/2]

RVNGInputStreamPtr_t & libetonyek::IWORKParser::getPackage | ( |  | ) |

## ◆ getPackage() [2/2]

RVNGInputStreamPtr_t libetonyek::IWORKParser::getPackage | ( |  | ) | const

## ◆ getTokenizer()

virtual const IWORKTokenizer& libetonyek::IWORKParser::getTokenizer | ( |  | ) | const
| pure virtual

Implemented in libetonyek::PAG1Parser, libetonyek::NUM1Parser, libetonyek::KEY2Parser, and libetonyek::KEY1Parser.

Referenced by libetonyek::IWORKXMLParserState::getTokenizer(), and parse().

## ◆ operator=()

IWORKParser& libetonyek::IWORKParser::operator= | ( | const IWORKParser & |  | ) |
| private

## ◆ parse()

bool libetonyek::IWORKParser::parse | ( |  | ) |

## ◆ setInput()

void libetonyek::IWORKParser::setInput | ( | const RVNGInputStreamPtr_t & | input | ) |
| protected

## Member Data Documentation

## ◆ m_input

RVNGInputStreamPtr_t libetonyek::IWORKParser::m_input
| private

Referenced by getInput(), parse(), and setInput().

## ◆ m_package

RVNGInputStreamPtr_t libetonyek::IWORKParser::m_package
| private

Referenced by getPackage().

The documentation for this class was generated from the following files:

- IWORKParser.h
- IWORKParser.cpp